OpenZWave Library: OpenZWave::NotificationCCTypes Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
OpenZWave::NotificationCCTypes Class Reference

`#include <NotificationCCTypes.h>`

## Classes
class | NotificationEventParams
class | NotificationEvents
class | NotificationTypes

## Public Types
enum | NotificationEventParamTypes { NEPT_Location = 0x01 , NEPT_List , NEPT_UserCodeReport , NEPT_Byte , NEPT_String , NEPT_Time }

## Public Member Functions
string | GetAlarmType (uint32)
string | GetEventForAlarmType (uint32, uint32)
const NotificationTypes * | GetAlarmNotificationTypes (uint32)
const NotificationEvents * | GetAlarmNotificationEvents (uint32, uint32)
const std::map< uint32, NotificationCCTypes::NotificationEventParams * > | GetAlarmNotificationEventParams (uint32, uint32)

## Static Public Member Functions
static NotificationCCTypes * | Get ()
static bool | Create ()
static string | GetEventParamNames (NotificationEventParamTypes)

## Member Enumeration Documentation

## ◆ NotificationEventParamTypes

enum OpenZWave::NotificationCCTypes::NotificationEventParamTypes

Enumerator
NEPT_Location |
NEPT_List |
NEPT_UserCodeReport |
NEPT_Byte |
NEPT_String |
NEPT_Time |

## Member Function Documentation

## ◆ Create()

bool NotificationCCTypes::Create | ( |  | ) |
| static

## ◆ Get()

NotificationCCTypes * NotificationCCTypes::Get | ( |  | ) |
| static

## ◆ GetAlarmNotificationEventParams()

const std::map< uint32, NotificationCCTypes::NotificationEventParams * > NotificationCCTypes::GetAlarmNotificationEventParams | ( | uint32 | type,
|  | uint32 | event
| ) |  |

## ◆ GetAlarmNotificationEvents()

const NotificationCCTypes::NotificationEvents * NotificationCCTypes::GetAlarmNotificationEvents | ( | uint32 | type,
|  | uint32 | event
| ) |  |

## ◆ GetAlarmNotificationTypes()

const NotificationCCTypes::NotificationTypes * NotificationCCTypes::GetAlarmNotificationTypes | ( | uint32 | type | ) |

## ◆ GetAlarmType()

string NotificationCCTypes::GetAlarmType | ( | uint32 | type | ) |

## ◆ GetEventForAlarmType()

string NotificationCCTypes::GetEventForAlarmType | ( | uint32 | type,
|  | uint32 | event
| ) |  |

## ◆ GetEventParamNames()

string NotificationCCTypes::GetEventParamNames | ( | NotificationEventParamTypes | type | ) |
| static

The documentation for this class was generated from the following files:

- NotificationCCTypes.h
- NotificationCCTypes.cpp